package com.terraforged.mod.biome.map.defaults;

import com.terraforged.mod.biome.ModBiomes;
import net.minecraft.world.biome.Biome;
import net.minecraft.world.biome.Biomes;

public class DefaultBiomes {

    public static final Biome NONE = Biomes.THE_VOID;

    public static Biome defaultBeach(float temperature) {
        if (temperature < 0.25) {
            return Biomes.SNOWY_BEACH;
        }
        return Biomes.BEACH;
    }

    public static Biome defaultRiver(float temperature) {
        if (temperature < 0.15) {
            return Biomes.FROZEN_RIVER;
        }
        return Biomes.RIVER;
    }

    public static Biome defaultLake(float temperature) {
        return Biomes.OCEAN;
    }

    public static Biome defaultWetland(float temperature) {
        return Biomes.SWAMP;
    }

    public static Biome defaultOcean(float temperature) {
        if (temperature < 0.3) {
            return Biomes.FROZEN_OCEAN;
        }
        if (temperature > 0.7) {
            return Biomes.WARM_OCEAN;
        }
        return Biomes.OCEAN;
    }

    public static Biome defaultDeepOcean(float temperature) {
        if (temperature < 0.3) {
            return Biomes.DEEP_FROZEN_OCEAN;
        }
        if (temperature > 0.7) {
            return Biomes.DEEP_WARM_OCEAN;
        }
        return Biomes.DEEP_OCEAN;
    }

    public static Biome defaultMountain(float temperature) {
        if (temperature < 0.25) {
            return Biomes.SNOWY_MOUNTAINS;
        }
        return DefaultBiomes.NONE;
    }

    public static Biome defaultBiome(float temperature) {
        return Biomes.PLAINS;
    }

    public static boolean overridesRiver(Biome biome) {
        return biome.getCategory() == Biome.Category.SWAMP || biome.getCategory() == Biome.Category.JUNGLE;
    }
}
